import {request} from '../utils/request.js'
function isExist(data){ //检测家庭成员是否存在病情记录
  return request('/pathography/exist','GET',data,false)
};
function pathographyList(data){ //获取家庭成员病情记录列表
  return request('/pathography','GET',data)
};
function pathographyDetail(id){ //获取家庭成员病情记录列表
  return request('/pathography/'+id,'GET')
};
function pathographyGroup(){ //获取家庭成员病情记录分组
  return request('/pathography/group','GET')
};
function pathographyDelete(id){ // 删除家庭成员病情记录
  return request('/pathography/'+id,'DELETE')
};
function sendFields(data){ // 删除家庭成员病情记录
  return request('/case/fields/patient','POST',data,true)
};

module.exports={
  pathographyDelete,
  pathographyGroup,
  sendFields,
  isExist,
  pathographyList,
  pathographyDetail
}
